<?xml version="1.0" encoding="utf-8"?>
<configuration>
  <configSections>
    <section name="log4net" type="log4net.Config.Log4NetConfigurationSectionHandler, log4net" />
  </configSections>
  <log4net>
    <root>
      <level value="ALL" />
      <appender-ref ref="SysAppender" />
    </root>
    <logger name="WebLogger">
      <!--配置日志的级别，低于此级别的就不写到日志里面去-->
      <level value="DEBUG" />
    </logger>
    <appender name="SysAppender" type="log4net.Appender.RollingFileAppender,log4net">
      <param name="File" value="Logger/" />
      <param name="AppendToFile" value="true" />
      <param name="RollingStyle" value="Date" />
      <param name="DatePattern" value="&quot;Logs_&quot;yyyyMMdd&quot;.txt&quot;" />
      <param name="StaticLogFileName" value="false" />
      <layout type="log4net.Layout.PatternLayout,log4net">
        <param name="ConversionPattern" value="%d [%t] %-5p %c - %m%n" />
        <param name="Header" value=" ----------------------header-------------------------- " />
        <param name="Footer" value=" ----------------------footer-------------------------- " />
      </layout>
    </appender>
    <appender name="consoleApp" type="log4net.Appender.ConsoleAppender,log4net">
      <!--日志的格式-->
      <layout type="log4net.Layout.PatternLayout,log4net">
        <param name="ConversionPattern" value="%d [%t] %-5p %c - %m%n" />
      </layout>
    </appender>
  </log4net>
  <appSettings>
    <add key="AppFolder" value="WJYD" />
    <add key="QRCodeSize" value="896000,896000" />
    <!--标签二维码大小设置-->
    <add key="SwitchInternalRollNo" value="false" />
    <!--开关卷号是否通过网络获取-->
    <add key="IsCutProductName" value="false" />
    <!--品名标签超长是否截取-->
    <add key="RollNoRule" value="opb" />
    <add key="BarCodeSize" value="135,80" />
    <add key="BarCodeWordSize" value="1302000,506000" />
    <add key="LogoWordSize" value="3500000,563258" />
    <add key="FormatEnum" value="2-1" />
    <add key="ClientSettingsProvider.ServiceUri" value="" />
    <add key="LoadDefect" value="Batch_No,ArgumentHeight,ArgumentWidth,Batch_Diff,Touch,PaperTube"/>
    <add key="IgnoreList" value="MachineNo"/>
    <add key="Workshop" value="第一车间"/>
    <add key="IsSh" value="0"/>
    <add key="PrintCount" value="1"/>
    <add key="IsPrintDefect" value="false"/>
    <add key="IsPopupDefect" value="false"/>
  </appSettings>
  <startup>
    <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.5" />
  </startup>
  <system.web>
    <membership defaultProvider="ClientAuthenticationMembershipProvider">
      <providers>
        <add name="ClientAuthenticationMembershipProvider" type="System.Web.ClientServices.Providers.ClientFormsAuthenticationMembershipProvider, System.Web.Extensions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" serviceUri="" />
      </providers>
    </membership>
    <roleManager defaultProvider="ClientRoleProvider" enabled="true">
      <providers>
        <add name="ClientRoleProvider" type="System.Web.ClientServices.Providers.ClientRoleProvider, System.Web.Extensions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" serviceUri="" cacheTimeout="86400" />
      </providers>
    </roleManager>
  </system.web>
</configuration>